request_irq
Prev | Interrupt Handling | Next

## Name

request_irq — allocate an interrupt line

## Synopsis

`int request_irq (` | unsigned int | irq,
| irq_handler_t | handler,
| unsigned long | irqflags,
| const char * | devname,
| void * | dev_id`)`;

## Arguments

`irq`

  Interrupt line to allocate

`handler`

  Function to be called when the IRQ occurs

`irqflags`

  Interrupt type flags

`devname`

  An ascii name for the claiming device

`dev_id`

  A cookie passed back to the handler function

## Description

This call allocates interrupt resources and enables the interrupt line and IRQ handling. From the point this call is made your handler function may be invoked. Since your handler function must clear any interrupt the board raises, you must take care both to initialise your hardware and to set up the interrupt handler in the right order.

Dev_id must be globally unique. Normally the address of the device data structure is used as the cookie. Since the handler receives this value it makes sense to use it.

If your interrupt is shared you must pass a non NULL dev_id as this is required when freeing the interrupt.

## Flags

IRQF_SHARED Interrupt is shared IRQF_DISABLED Disable local interrupts while processing IRQF_SAMPLE_RANDOM The interrupt can be used for entropy

Prev | Up | Next
free_irq | Home | DMA Channels